BlueStacks X: Why a BlueStacks engine update is required if Hyper-V is enabled

Why is an update required?

If Hyper-V is enabled on your desktop/laptop and you click on “Play” to launch a game, you’ll see the following message.

image__8_.png

This is because the BlueStacks engine installed on your desktop/laptop cannot run with Hyper-V enabled. To play Android games without any issues, you can do one of the following:

  • Update BlueStacks to get the Hyper-V compatible version. However, you will only be able to play games that require Nougat 64-bit. Games such as Free Fire won’t be playable as they require Nougat 32-bit.
  • Disable Hyper-V on your desktop/laptop to continue using BlueStacks as you were earlier. To learn how to do this, click here. 

How can I do this?

1. Click on "Update" when you see the pop-up shown below.

image__7_.png

2. BlueStacks 5 will then update to the latest version. The progress of the update will be shown in the status bar, highlighted below. 

image__6_.png

3. Once the update is complete, simply launch the game again from BlueStacks X.

Screenshot_38.png

You will then be able to play the game without any issues. 


Thank you for choosing BlueStacks X. We hope you enjoy using it. Happy Gaming!

Was this article helpful?
73 out of 109 found this helpful
Reach out to us on Reddit (Join Reddit) or Discord (Join Discord) or at support@bluestacks.com with your questions.